<?php

namespace Drp\UserManagement\Events;

use Drp\UserManagement\Contracts\ManagedUser;
use Illuminate\Queue\SerializesModels;

/**
 * Class UserCreated
 */
class UserCreated
{
    use SerializesModels;

    /**
     * @var ManagedUser
     */
    public $user;

    /**
     * Create a new event instance.
     *
     * @param ManagedUser $user
     */
    public function __construct(ManagedUser $user)
    {
        $this->user = $user;
    }
}
