<?php

namespace Drp\UserManagement\Http\Middleware;

use Closure;

class SetupComplete
{
    /**
     * Handle an incoming request.
     *
     * @param  mixed $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (is_null($request->user()->password)) {
            return redirect()->route('account.setup');
        }
        return $next($request);
    }
}
